#ifndef	_EVideoDialog_h
#define _EVideoDialog_h

#include <Video.h.h>

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif

extern XeWidget  Ev_VideoSourceW, Ev_VideoSizeXW,  Ev_VideoSizeYW, Ev_VideoSizeW,
                 Ev_VideoBrightnessW, Ev_VideoContrastW, Ev_VideoSaturationW,
                 Ev_VideoLiveW, Ev_FrameRateW;

extern EdDialog  Ev_CreateVideoSetupDialog(XeWidget LParentW,void (*LCallback)(),EvVLSetup* LVLSetup);
extern void      Ev_FreeVideoSetupDialogs(void);
extern void      Ev_SetVideoSourceW();
extern void      Ev_SetVideoSizeW();

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"' declaration
#endif

#endif // _EVideoDialog_h
